import request from '@/utils/request'

// 查询聊天问题收集列表
export function listFastgptChatQuestion(query) {
  return request({
    url: '/fastGpt/fastgptChatQuestion/list',
    method: 'get',
    params: query
  })
}

// 查询聊天问题收集详细
export function getFastgptChatQuestion(id) {
  return request({
    url: '/fastGpt/fastgptChatQuestion/' + id,
    method: 'get'
  })
}

// 新增聊天问题收集
export function addFastgptChatQuestion(data) {
  return request({
    url: '/fastGpt/fastgptChatQuestion',
    method: 'post',
    data: data
  })
}

// 修改聊天问题收集
export function updateFastgptChatQuestion(data) {
  return request({
    url: '/fastGpt/fastgptChatQuestion',
    method: 'put',
    data: data
  })
}

// 删除聊天问题收集
export function delFastgptChatQuestion(id) {
  return request({
    url: '/fastGpt/fastgptChatQuestion/' + id,
    method: 'delete'
  })
}

// 导出聊天问题收集
export function exportFastgptChatQuestion(query) {
  return request({
    url: '/fastGpt/fastgptChatQuestion/export',
    method: 'get',
    params: query
  })
}